* {
  font-family: "Montserrat", sans-serif;
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

.theme-dark {
  --color-primary: #191919;
  --font-color: #f8f9fa;
  --btn-bg-color: #f8f9fa;
  --btn-border-color: #f8f9fa;
  --btn-font-color: #191919;
  --btn-shadow: 0 0 0 0.25rem rgba(211, 212, 213, 0.5);
}

.theme-light {
  --color-primary: #f8f9fa;
  --font-color: #191919;
  --btn-bg-color: #191919;
  --btn-border-color: #191919;
  --btn-font-color: #f8f9fa;
  --btn-shadow: 0 0 0 0.25rem rgba(66, 70, 73, 0.5);
}

body {
  height: 100%;
  width: 100%;
  background-color: var(--color-primary);
  color: var(--font-color);
}

.btn {
  color: var(--btn-font-color);
  background-color: var(--btn-bg-color);
  border-color: var(--btn-border-color);
}

.btn:focus {
  box-shadow: var(--btn-shadow);
}

.fab {
  color: var(--font-color);
}

ul {
  list-style-type: none;
}

ul > li {
  margin: 0 1rem;
  padding: .5rem;
  background-color: lightcoral;
  border-radius: .5rem;
}

input[type="checkbox"] {
  border: none;
}

/**
 * 
 * Switch color theme
 * 
 */

/* The switch - the box around the slider */

.switch {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 34px;
}

/* Hide default HTML checkbox */

.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

/* The slider */

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: 0.4s;
  transition: 0.4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 40px;
  width: 40px;
  left: 0px;
  bottom: 4px;
  top: 0;
  bottom: 0;
  margin: auto 0;
  -webkit-transition: 0.4s;
  transition: 0.4s;
  box-shadow: 0 0px 15px #2020203d;
  background: white url("https://i.ibb.co/FxzBYR9/night.png");
  background-repeat: no-repeat;
  background-position: center;
}

input:checked + .slider {
  background-color: #2196f3;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196f3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(24px);
  -ms-transform: translateX(24px);
  transform: translateX(24px);
  background: white url("https://i.ibb.co/7JfqXxB/sunny.png");
  background-repeat: no-repeat;
  background-position: center;
}

/* Rounded sliders */

.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}
